@import "src/styles/scss/partials/mixins";

.root {
    @include font('body1');
    margin: 0;
}

.root:global(.variant_subtitle1) {
    @include font('subtitle1')
}

.root:global(.variant_subtitle2) {
    @include font('subtitle2')
}

.root:global(.variant_button1) {
    @include font('button1')
}

.root:global(.variant_button2) {
    @include font('button2')
}

.root:global(.variant_body1) {
    @include font('body1')
}

.root:global(.variant_body2) {
    @include font('body2')
}

.root:global(.variant_overline) {
    @include font('overline')
}

.root:global(.variant_caption) {
    @include font('caption')
}